<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <title>Function</title>
    <script src="assets/jquery-3.6.0.min.js"></script>
</head>

<body align="center">
    <div id="txt01">Text</div>
    <script>
        $(function() {
            function named() {
                // do some stuff here
                console.log("named()");
            }
            var handler = function() {
                // do some stuff here
                console.log("handle()");
            }

            function func01(x) {
                console.log(typeof x, arguments.length);
            }
            
            named();
            handler();
            func01(); //==> "undefined", 0
            func01(1); //==> "number", 1
            func01("1", "2", "3"); //==> "string", 3
            
            
            // $(this)
            
            var msg = $(this).text()
            $("#txt01").off('click').on('click', function() {
                var text = $(this).text();
                console.log(text);
                console.log(msg);
            });
            
            // func : call , apply

            function scope() {
                console.log("scope().")
                console.log(this, arguments.length);
            }
            
            scope() // window, 0
            scope.call("Call", [1, 2]); //==> "foobar", 1
            scope.apply("Apply", [1, 2]); //==> "foobar", 2
        });

    </script>
</body>

</html>
